## fuse-umfuse-fat 0.1a

=== debian/changelog ===
fuse-umfuse-fat (0.1a-3) unstable; urgency=medium

  * Revert to debhelper's compat level 10

 -- Andrea Capriotti <capriott@debian.org>  Fri, 18 Sep 2020 17:25:48 +0200

fuse-umfuse-fat (0.1a-2) unstable; urgency=medium

  * d/control: Bump debhelper's compat level to 13 (Closes: 965527)
  * d/control: Standard version bumped to 4.5.0
  * d/control: Add VirtualSquare Uploader
  * Switch to 3.0 source format

 -- Andrea Capriotti <capriott@debian.org>  Fri, 18 Sep 2020 11:51:28 +0200

fuse-umfuse-fat (0.1a-1.2) unstable; urgency=medium

  * maintainers' mailing list address updated. (Closes: #899516)

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 05 Jan 2019 10:23:11 +0100

fuse-umfuse-fat (0.1a-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Depend on fuse instead of fuse-utils. (Closes: #698123)

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 12 May 2013 15:55:04 +0200

fuse-umfuse-fat (0.1a-1) unstable; urgency=low

  [ Ludovico Gardenghi ]
  * Initial release.

  [ Filippo Giunchedi ]
  * Use GPLv2 in debian/copyright 

 -- Filippo Giunchedi <filippo@debian.org>  Thu, 26 Jun 2008 14:10:03 +0200
