=== debian/watch ===
version=3
http://sf.net/view-os/fuse-umfuse-fat-(.*)\.tar\.gz
