## fuse-umfuse-fat 0.3+dfsg

=== debian/changelog ===
fuse-umfuse-fat (0.3+dfsg-1) unstable; urgency=medium

  * d/watch: update for tagged upstream releases
  * New upstream version 0.3+dfsg
  * d/p/{2,4,5,7}: drop, applied upstream
  * Enable building /usr/lib/$TRIPLE/vu/modules/vufusefatfs.so
    into new vuos-mod-vufusefatfs package
    (Name provided with vuos upstream Renzo Davoli <renzo@cs.unibo.it>)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 21 Nov 2024 17:53:01 +0100

fuse-umfuse-fat (0.2~22+c7f994d+dfsg-1) unstable; urgency=medium

  * d/watch: fake for new upstream what doesn't tag releases
    (https://github.com/virtualsquare/fusefatfs)
  * New upstream version 0.2~22+c7f994d+dfsg
    Closes: #837998, #986029, #806233, #806232, #715930, #701934
  * d/control: new for new upstream
    + Drop umview-mod-umfusefat package
    + Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
      Closes: #1085458
    + Build-Depends: just libfuse3-dev + pandoc + cmake (Closes: #986065)
    + Depends: fuse -> Recommends: fuse3
    + new description
    + debhelper-compat 13
    + Standards-Version: 4.7.0
    + Rules-Requires-Root: no
    + Vcs-Git: https://salsa.debian.org/salvage-team/fuse-umfuse-fat.git
  * Import upstream PRs #2, #4, #5, #7 as patches:
    #2: Fully-prototype get_fattime()
    #4: Fix options listed in manual
        (program actually takes -o ro, -o rw, but -ro, -rw were listed)
        Fix manual spacing
        Fix manual building on CI
        Fix sytems -> systems typo in manual
    #5: Allow building with fuse3 in addition to the current fuse2
    (+ d/control: Build-Depends: pkgconf) (Closes: #1084472)
    #7: Encode and decode file times in UTC, not in/out of local time
    Closes: #837998
  * Need patch to disable vufusefatfs (d/p/novufusefs)
  * Add patch for Reproducible date and no man-db dependency for manual build
  * d/fusefat.docs, d/rules: new for new upstream
  * d/copyright: new for new upstream, DEP-5
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Retain compat by providing fusefat as link

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 09 Nov 2024 14:46:42 +0100
