=== debian/control ===
Source: fuse-umfuse-fat
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: наб <nabijaczleweli@nabijaczleweli.xyz>
Build-Depends: debhelper-compat (= 13), libfuse3-dev, pkgconf, pandoc, cmake
Standards-Version: 4.7.0
Homepage: https://github.com/virtualsquare/fusefatfs
Rules-Requires-Root: no
Section: misc
Vcs-Git: https://salsa.debian.org/salvage-team/fuse-umfuse-fat.git
Vcs-Browser: https://salsa.debian.org/salvage-team/fuse-umfuse-fat

Package: fusefat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: fuse3
Description: Mount FAT file systems using FUSE
 This FUSE driver allows unprivileged users to mount FAT
 (FAT12/FAT16/FAT32/exFAT) file systems.

Package: vuos-mod-vufusefatfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: vuos
Description: Mount FAT file systems in vuos
 This vuos plugin allows mounting FAT (FAT12/FAT16/FAT32/exFAT)
 file systems in a vuos session.
