=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_build:
	mv man/fusefatfs.1 debian/  # upstream target replaces this
	dh_auto_build

override_dh_auto_install:
	dh_auto_install --destdir=debian/fusefat/
	mkdir -p debian/vuos-mod-vufusefatfs/usr/
	mv debian/fusefat/usr/lib debian/vuos-mod-vufusefatfs/usr/

override_dh_clean:
	-mv debian/fusefatfs.1 man/
	dh_clean

%:
	dh $@
