=== debian/watch ===
version=4
opts="uversionmangle=s/$/+dfsg/,dversionmangle=s/\+dfsg$//,filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
	https://github.com/virtualsquare/fusefatfs/tags \
	(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
